Subject: bug#23949: 25.0.95; Regression in handling error caused by (string-match-p "." nil)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 12 Jul 2016 22:10:18 +0300

> From: Kaushal Modi <[email-masked]>
> Date: Tue, 12 Jul 2016 18:35:02 +0000
> Cc: [email-masked]
> 
> On Tue, Jul 12, 2016 at 10:15 AM Andreas Schwab <[email-masked]> wrote:
> 
>  > $15 = 54138084
>  > (gdb) xstring
> 
>  This is only valid if $ is a Lisp_String. Use xtype to find out.
> 
> Hi Andreas,
> 
> Thanks for looking into this bug thread. I have close to 0 experience with gdb. I typed 'xtype' for the same
> frame and this is what I got:
> 
> (gdb) xstring
> $16 = (struct Lisp_String *) 0x33a14e0
> "(nilory is relative, it is com"
> (gdb) xtype
> Argument to arithmetic operation not a number or boolean.
> (gdb)

No, the other way around:

 (gdb) p string
 (gdb) xtype

"xtype" works on the last value that was printed, it should do that on
the value produced by the p(rint) command.